Package org.eclipse.cdt.core.dom.ast

# Interface IASTStatement

All Superinterfaces:
  `IASTAttributeOwner`, `IASTNode`

All Known Subinterfaces:
  `IASTBreakStatement`, `IASTCaseStatement`, `IASTCompoundStatement`, `IASTContinueStatement`, `IASTDeclarationStatement`, `IASTDefaultStatement`, `IASTDoStatement`, `IASTExpressionStatement`, `IASTForStatement`, `IASTGotoStatement`, `IASTIfStatement`, `IASTLabelStatement`, `IASTNullStatement`, `IASTProblemStatement`, `IASTReturnStatement`, `IASTSwitchStatement`, `IASTWhileStatement`, `ICPPASTCatchHandler`, `ICPPASTCompoundStatement`, `ICPPASTForStatement`, `ICPPASTIfStatement`, `ICPPASTRangeBasedForStatement`, `ICPPASTSwitchStatement`, `ICPPASTTryBlockStatement`, `ICPPASTWhileStatement`, `IGNUASTGotoStatement`

public interface IASTStatement extends IASTAttributeOwner
This is the root interface for statements.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IASTStatement[]`
`EMPTY_STATEMENT_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTStatement`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`IASTStatement`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### EMPTY_STATEMENT_ARRAY

static final IASTStatement[] EMPTY_STATEMENT_ARRAY

## Method Details

### copy

IASTStatement copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

### copy

IASTStatement copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3